/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.gui.controladores.esquemaoperacional;

import java.util.HashMap;
import java.util.Map;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Controller;
import org.zkoss.util.resource.Labels;
import org.zkoss.zk.ui.Component;
import org.zkoss.zk.ui.Executions;
import org.zkoss.zk.ui.event.Event;

import com.rjconsultores.ventaboletos.entidad.DiagramaAutobus;
import com.rjconsultores.ventaboletos.web.utilerias.MyGenericForwardComposer;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;

@Controller("tipoDiagramaAutobusController")
@Scope("prototype")
public class TipoDiagramaAutobusController extends MyGenericForwardComposer {

	private static final long serialVersionUID = 1L;

	private DiagramaAutobus diagramaAutobus;
    private MyListbox diagramaAutobusList;

	@Override
    public void doAfterCompose(Component comp) throws Exception {
        super.doAfterCompose(comp);
        diagramaAutobusList = (MyListbox) Executions.getCurrent().getArg().get("diagramaAutobusList");
        diagramaAutobus = (DiagramaAutobus) Executions.getCurrent().getArg().get("diagramaAutobus");
    }

    public void onClick$btnDiagramaBus(Event ev) {
        verDiagramaAutobus(1);
    }
    
    public void onClick$btnDiagramaBarco(Event ev) {
    	verDiagramaAutobus(2);
    }
    
    public void onClick$btnDiagramaTrem(Event ev) {
    	verDiagramaAutobus(3);
    }
    
	@SuppressWarnings({ "rawtypes", "unchecked" })
	private void verDiagramaAutobus(Integer indtipo) {
    	diagramaAutobus.setIndtipo(indtipo);
    	
        Map args = new HashMap();
        args.put("diagramaAutobus", diagramaAutobus);
        args.put("diagramaAutobusList", diagramaAutobusList);

        openWindow("/gui/esquema_operacional/editarDiagramaAutobus.zul",
                Labels.getLabel("editarDiagramaAutobusController.window.title"),
                args, MODAL);
        
        closeWindow();
    }
    
}
